"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const ProcessContainer_1 = __importDefault(require("../../core/ProcessContainer"));
const meta_1 = require("../../meta");
function Validate(schema) {
    return function (target, propertyKey, descriptor) {
        const container = ProcessContainer_1.default.getInstance();
        const path = Reflect.getMetadata(meta_1.pathMetadataKey, target, propertyKey);
        const method = Reflect.getMetadata(meta_1.methodMetadataKey, target, propertyKey);
        container.implementValidate(path, method, schema);
    };
}
exports.Validate = Validate;
//# sourceMappingURL=validate.js.map